Runtime

## org.eclipse.gmf.runtime.common.ui.dialogs
Class ExpansionType

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.EnumeratedType
          org.eclipse.gmf.runtime.common.ui.dialogs.ExpansionType

All Implemented Interfaces:
  java.io.Serializable

public class ExpansionType
extends EnumeratedType

Expansion type enumeration for SRE. Incoming, outoging, both incoming and ouotgoing, and all connected.

See Also:
  Serialized Form

Field Summary
`static ExpansionType` `ALL` All connected relatinoships
`static ExpansionType` `BOTH` Incoming and outgoing relationships
`static ExpansionType` `INCOMING` Incoming relationships
`static ExpansionType` `NONE` No expansion type.
`static ExpansionType` `OUTGOING` Outgoing relationships
`static ExpansionType[]` `VALUES` The list of values for this enumerated type.

Constructor Summary
`protected` `ExpansionType(java.lang.String name, int ordinal)` Constructs a new model type with the specified name and ordinal.

Method Summary
`protected java.util.List` `getValues()` Retrieves the list of constants for this enumerated type.

Methods inherited from class org.eclipse.gmf.runtime.common.core.util.EnumeratedType
`equals, getName, getOrdinal, hashCode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final ExpansionType NONE

  No expansion type. Do not expand.

### INCOMING

    public static final ExpansionType INCOMING

  Incoming relationships

### OUTGOING

    public static final ExpansionType OUTGOING

  Outgoing relationships

### BOTH

    public static final ExpansionType BOTH

  Incoming and outgoing relationships

### ALL

    public static final ExpansionType ALL

  All connected relatinoships

### VALUES

    public static final ExpansionType[] VALUES

  The list of values for this enumerated type.

Constructor Detail

### ExpansionType

    protected ExpansionType(java.lang.String name,
                            int ordinal)

  Constructs a new model type with the specified name and ordinal.

Parameters:
  `name` - The name of the new model type.
  `ordinal` - The ordinal for the new model type.

Method Detail

### getValues

    protected java.util.List getValues()

  Retrieves the list of constants for this enumerated type.

  Specified by:
    `getValues` in class `EnumeratedType`
  Returns:
    List of constants for this enumerated type.
  See Also:
    `EnumeratedType.getValues()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.